libebook::SoftBookHeader Class Reference documentation

libebook::SoftBookHeader Class Reference

`#include <SoftBookHeader.h>`

## Public Member Functions
| SoftBookHeader (librevenge::RVNGInputStream *input)
unsigned | getVersion () const
SoftBookColorMode | getColorMode () const
unsigned | getFileCount () const
bool | getCompressed () const
bool | getEncrypted () const
const SoftBookMetadata & | getMetadata () const
unsigned | getTOCOffset () const

## Static Public Member Functions
static std::shared_ptr< SoftBookHeader > | create (librevenge::RVNGInputStream *input)

## Private Member Functions
void | readHeader (librevenge::RVNGInputStream *input)
void | readBookProperties (librevenge::RVNGInputStream *input)

## Private Attributes
unsigned | m_version
SoftBookColorMode | m_colorMode
unsigned | m_files
unsigned | m_dirNameLength
unsigned | m_remainingBytes
bool | m_compressed
bool | m_encrypted
SoftBookMetadata | m_metadata

## Constructor & Destructor Documentation

## ◆ SoftBookHeader()

libebook::SoftBookHeader::SoftBookHeader | ( | librevenge::RVNGInputStream * | input | ) |
| explicit

Referenced by create().

## Member Function Documentation

## ◆ create()

std::shared_ptr< SoftBookHeader > libebook::SoftBookHeader::create | ( | librevenge::RVNGInputStream * | input | ) |
| static

## ◆ getColorMode()

SoftBookColorMode libebook::SoftBookHeader::getColorMode | ( |  | ) | const

## ◆ getCompressed()

bool libebook::SoftBookHeader::getCompressed | ( |  | ) | const

## ◆ getEncrypted()

bool libebook::SoftBookHeader::getEncrypted | ( |  | ) | const

## ◆ getFileCount()

unsigned libebook::SoftBookHeader::getFileCount | ( |  | ) | const

## ◆ getMetadata()

const SoftBookMetadata & libebook::SoftBookHeader::getMetadata | ( |  | ) | const

## ◆ getTOCOffset()

unsigned libebook::SoftBookHeader::getTOCOffset | ( |  | ) | const

## ◆ getVersion()

unsigned libebook::SoftBookHeader::getVersion | ( |  | ) | const

## ◆ readBookProperties()

void libebook::SoftBookHeader::readBookProperties | ( | librevenge::RVNGInputStream * | input | ) |
| private

Referenced by SoftBookHeader().

## ◆ readHeader()

void libebook::SoftBookHeader::readHeader | ( | librevenge::RVNGInputStream * | input | ) |
| private

Referenced by SoftBookHeader().

## Member Data Documentation

## ◆ m_colorMode

SoftBookColorMode libebook::SoftBookHeader::m_colorMode
| private

Referenced by getColorMode(), readHeader(), and SoftBookHeader().

## ◆ m_compressed

bool libebook::SoftBookHeader::m_compressed
| private

Referenced by getCompressed(), readHeader(), and SoftBookHeader().

## ◆ m_dirNameLength

unsigned libebook::SoftBookHeader::m_dirNameLength
| private

Referenced by getTOCOffset(), readHeader(), and SoftBookHeader().

## ◆ m_encrypted

bool libebook::SoftBookHeader::m_encrypted
| private

Referenced by getEncrypted(), readHeader(), and SoftBookHeader().

## ◆ m_files

unsigned libebook::SoftBookHeader::m_files
| private

Referenced by getFileCount(), readHeader(), and SoftBookHeader().

## ◆ m_metadata

SoftBookMetadata libebook::SoftBookHeader::m_metadata
| private

Referenced by getMetadata(), readBookProperties(), and SoftBookHeader().

## ◆ m_remainingBytes

unsigned libebook::SoftBookHeader::m_remainingBytes
| private

Referenced by getTOCOffset(), readBookProperties(), readHeader(), and SoftBookHeader().

## ◆ m_version

unsigned libebook::SoftBookHeader::m_version
| private

Referenced by getVersion(), readHeader(), and SoftBookHeader().

The documentation for this class was generated from the following files:

- SoftBookHeader.h
- SoftBookHeader.cpp